package com.lemon.constants;

/**
 * @program: Lemon
 * @description:
 * @author: ray
 * @create: 2022-11-04 11:52
 **/

public class Constants {
    /*
     * 用于存放一些常量，Excel的路径等等
     * 常量类命名规则：所有英文单词都大写用下划线分割。
     * final：修饰变量，变量成为常量，常量只能赋值一次
     * final：修饰类，类不能被继承
     * final：修饰方法，不能被重写
     */

    //excel用例路径
    public static final String EXCEL_PATH = "src/test/resources/睿思选题.xls";
    // token鉴权版本
//    public static final String HEADER_MEDIA_TYPE_NAME = "X-Requested-With";  // X-Lemonban-Media-Type
    // token鉴权方式值
//    public static final String HEADER_MEDIA_TYPE_VALUE = "lemonban.v2";   //  lemonban.v2
    // 请求方式名称
    public static final String CONTENT_TYPE_NAME = "Content-Type";
    // 请求方式类型：JSON或form
    public static final String CONTENT_TYPE_VALUE = "application/json";

    // Excel回写的列数：实际响应结果
    public static final int ACTURL_WRITER_BACK_CELL_NUM = 5;
    // Excel回写的列数：判断回写结果列
    public static final int ASSERT_RESULT_CELL_NUM = 5;


    //  "jdbc:mysql://api.lemonban.com:3306/futureloan?useUnicode=true&characterEncoding=utf-8";   future /  123456




    // UAT环境RAYS数据库连接信息
    public static final String JDBC_URL = "jdbc:mysql://192.168.92.42:3306/myuser?useUnicode=true&characterEncoding=utf-8";
    //数据库用户名
    public static final String JDBC_USERNAME = "rays110";
    //数据库密码
    public static final String JDBC_PASSWORD = "whLg2016.";


}
